#!/bin/sh
set -e

TEMP=${ADTTMP:-${TMPDIR:-/tmp}}
TDIR=$(mktemp -d $TEMP/smokeXXXXXX)
TESTRUNNER='testrunner.sh'

# create temporary directory
mkdir -p ${TDIR}

# copy testfiles
cp -a test ${TDIR}

# change directory to temporary test directory
cd ${TDIR}/test

# replace variables for binary and config to
# actually test the installed boxes binary
sed -i -e 's|boxesBinary=../src/boxes$|boxesBinary=/usr/bin/boxes|g' ${TESTRUNNER}
sed -i -e 's|BOXES=../boxes-config$|BOXES=/etc/boxes/boxes-config|g' ${TESTRUNNER}

# run the testrunner
./${TESTRUNNER} -suite
